Loading...
Searching...
No Matches
GmailDataProvider::GmailMessageWatchDataProviderBase Class Reference

The parent class for Gmail REST APIs. More...

`#include <GmailMessageWatchDataProviderBase.qc.dox.h>`

Inheritance diagram for GmailDataProvider::GmailMessageWatchDataProviderBase:
[legend]

## Public Member Functions

| constructor (GoogleRestClient::GoogleRestClient rest, hash< string, hash< DataProviderOptionInfo > > constructor_options, *hash< auto > options)
| Creates the object from a REST connection.
| destructor ()
| Stops observing and deletes the object.
| observersReady ()
| Called when all observers have been added to the object.
| stopEvents ()
| Called to stop generating events.

## Public Attributes

const | ConstructorOptions = ...
| Constructor options.
const | MinPollInterval = 30
| Minimum poll interval in seconds.
const | MonthMap = ...
| For parsing months.

## Protected Member Functions

Condition | cond ()
| I/O Condition.
hash< auto > | getAttachment (hash< auto > att, *hash< auto > hdr)
| Returns attachment data.
abstract | messageReceived (hash< auto > msg)
| Raise events.
*hash< auto > | pollOnce (reference< hash< auto > > setup)
| Perform one poll.
| pollThread ()
| I/O polling thread.
| processBody (*reference< hash< auto > > msg)
| Process body.
| processHeaders (*reference< hash< auto > > msg, hash< auto > fields, *hash< auto > pfields)
| Process headers and body.
| processOptions (*hash< auto > copts)
| Process constructor options.
hash< auto > | setup ()
| Setup for a poll operation.
| stopIntern ()
| Stops polling.

## Static Protected Member Functions

static auto | getHeaderValue (string val)
| Get header value.
static auto | getHeaderValue (string val, hash< auto > f)
| Get header value.

## Protected Attributes

bool | delete_messages
| Delete emails after retreiving.
int | io_tid
| I/O TID.
int | poll_secs
| Poll interval in seconds.
string | q
| Match query.
bool | retrieve_attachments
| Retrieve attachments.
date | start_date
| Start date for scan.
bool | stop
| I/O stop flag.
int | waiting
| Number of threads waiting on the I/O condition.

## Detailed Description

The parent class for Gmail REST APIs.

## Member Function Documentation

## observersReady()

GmailDataProvider::GmailMessageWatchDataProviderBase::observersReady | ( |  | ) |

Called when all observers have been added to the object.

This method is meant to trigger event generation

## stopEvents()

GmailDataProvider::GmailMessageWatchDataProviderBase::stopEvents | ( |  | ) |

Called to stop generating events.

Stops polling for new events